package com.example.kdan_data_center.datacenter.share.data

import com.google.gson.annotations.SerializedName


data class ShareLinkData(
        @SerializedName("message") val message: String,
        @SerializedName("data") val data: Data
) {

    data class Data(
            @SerializedName("id") val id: Int,
            @SerializedName("user_id") val userId: Int,
            @SerializedName("shareable_id") val shareableId: Int,
            @SerializedName("url_token") val urlToken: String,
            @SerializedName("is_alive") val isAlive: Boolean,
            @SerializedName("created_at") val createdAt: String,
            @SerializedName("updated_at") val updatedAt: String,
            @SerializedName("verify_type") val verifyType: String,
            @SerializedName("verify_info") val verifyInfo: String?,
            @SerializedName("shareable_type") val shareableType: String,
            @SerializedName("mission_id") val missionId: Int?,
            @SerializedName("verify_data") val verifyData: HashMap<String, String>,
            @SerializedName("app_id") val appId: Int?,
            @SerializedName("user_id_backup") val userIdBackup: Int?,
            @SerializedName("app_bundle_id") val appBundleId: String?,
            @SerializedName("access_check") val accessCheck: AccessCheck,
            @SerializedName("status") val status: String,
            @SerializedName("expires_at") val expiresAt: String?,
            @SerializedName("shareable_info") val shareableInfo: ShareableInfo,
            @SerializedName("link_url") val linkUrl: String,
            @SerializedName("preview_token") val previewToken: String
    ) {
        data class AccessCheck(
                @SerializedName("allow_action") val allowAction: String,
                @SerializedName("verify_type") val verifyType: String
        )


        data class ShareableInfo(
                @SerializedName("shareable_exists") val shareableExists: Boolean,
                @SerializedName("shareable_detail") val shareableDetail: ShareableDetail,
                @SerializedName("download_url") val downloadUrl: String?,
                @SerializedName("viewer") val viewer: String?,
                @SerializedName("file_ready") val fileReady: Boolean?
        ) {

            data class ShareableDetail(
                    @SerializedName("id") val id: Int,
                    @SerializedName("user_id") val userId: Int,
                    @SerializedName("folder_name") val folderName: String,
                    @SerializedName("created_at") val createdAt: String,
                    @SerializedName("updated_at") val updatedAt: String,
                    @SerializedName("is_deleted") val isDeleted: Boolean,
                    @SerializedName("full_path") val fullPath: String,
                    @SerializedName("user_updated_at") val userUpdatedAt: String,
                    @SerializedName("active_status") val activeStatus: String,
                    @SerializedName("other_infos") val otherInfos: HashMap<String, String>,
                    @SerializedName("folder_type") val folderType: String,
                    @SerializedName("parent_id") val parentId: Int,
                    @SerializedName("in_share_folder") val inShareFolder: Boolean
            )
        }
    }
}