package com.example.kdan_data_center.datacenter.user.data

import com.google.gson.annotations.SerializedName


data class UserCredentialData(
        @SerializedName("message") val message: String,
        @SerializedName("data") val data: Data
) {

    data class Data(
            @SerializedName("credentials") val credentials: Credentials,
            @SerializedName("federated_user") val federatedUser: FederatedUser,
            @SerializedName("packed_policy_size") val packedPolicySize: Int
    ) {

        data class Credentials(
                @SerializedName("access_key_id") val accessKeyId: String,
                @SerializedName("secret_access_key") val secretAccessKey: String,
                @SerializedName("session_token") val sessionToken: String,
                @SerializedName("expiration") val expiration: String
        )


        data class FederatedUser(
                @SerializedName("federated_user_id") val federatedUserId: String,
                @SerializedName("arn") val arn: String
        )
    }
}